org.apache.lucene.codecs.sep

## Class IntIndexInput.Index

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntIndexInput.Index

- Enclosing class:
    IntIndexInput

      public abstract static class IntIndexInput.Index
      extends Object

  Records a single skip-point in the `IntIndexInput.Reader`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntIndexInput.Index()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract IntIndexInput.Index` | `clone()`
    `abstract void` | `copyFrom(IntIndexInput.Index other)`
    `abstract void` | `read(DataInput indexIn, boolean absolute)`
    `abstract void` | `seek(IntIndexInput.Reader stream)` Seeks primary stream to the last read offset

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntIndexInput.Index

          public IntIndexInput.Index()

  - ### Method Detail

    - #### read

          public abstract void read(DataInput indexIn,
                  boolean absolute)
                             throws IOException

      Throws:
        `IOException`

    - #### seek

          public abstract void seek(IntIndexInput.Reader stream)
                             throws IOException

      Seeks primary stream to the last read offset
      Throws:
        `IOException`

    - #### copyFrom

          public abstract void copyFrom(IntIndexInput.Index other)

    - #### clone

          public abstract IntIndexInput.Index clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.